%global src_repo_tag   R_1_0_1
%global eclipse_base   %{_libdir}/eclipse
%global install_loc    %{_datadir}/eclipse/dropins/mpc

Name:           eclipse-mpc
Version:        1.0.1
Release:        2%{?dist}
Summary:        Eclipse Marketplace Client

Group:          Development/Tools
License:        EPL
URL:            http://www.eclipse.org/mpc/
Source0:        %{name}-fetched-src-%{src_repo_tag}.tar.xz
Source1:        %{name}-fetch-src.sh
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildArch: noarch

BuildRequires: eclipse-pde >= 1:3.4.0
BuildRequires: eclipse-p2-discovery >= 1.0.0
Requires: eclipse-platform >= 3.6.0
Requires: eclipse-p2-discovery >= 1.0.0

%description
The Eclipse Marketplace Client provides access to extension catalogs.

%prep
%setup -q -c

%{__chmod} a-x org.eclipse.epp.mpc/license.html

%build
%{eclipse_base}/buildscripts/pdebuild -f org.eclipse.epp.mpc -d discovery

%install
%{__rm} -rf %{buildroot}
install -d -m 755 %{buildroot}%{install_loc}

%{__unzip} -q -d %{buildroot}%{install_loc} \
     build/rpmBuild/org.eclipse.epp.mpc.zip 

%clean
%{__rm} -rf %{buildroot}

%files
%defattr(-,root,root,-)
%{install_loc}
%doc org.eclipse.epp.mpc/epl-v10.html
%doc org.eclipse.epp.mpc/license.html

%changelog
* Tue Feb 08 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.0.1-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild


* Thu Sep 9 2010 Chris Aniszczyk <zx@redhat.com> 1.0.1-1
- Initial packaging
