#!/bin/sh
usage='usage: $0 <tag>'
name=eclipse-mpc
tag=R_1_0_1
tar_name=$name-fetched-src-$tag

# example of fetch command:
# fetch_cmd=cvs -d:pserver:anonymous@dev.eclipse.org:/cvsroot/dsdp \
# export -r $tag org.eclipse.tm.rse/features/$f;

fetch_cmd="git clone -q git://git.eclipse.org/gitroot/mpc/org.eclipse.epp.mpc mpc"

if [ "x$tag"x = 'xx' ]; then
   echo >&2 "$usage"
   exit 1
fi

rm -fr $tar_name && mkdir $tar_name
pushd $tar_name

# Fetch plugins
$fetch_cmd
cd mpc

# create archive
git archive $tag --output=../../$tar_name.tar
xz -z ../../$tar_name.tar